using Models;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service
{
    public interface IReal_workdataService : IBaseService<Real_workdata>
    {
        Task<bool> AddAsync(Real_workdata record);

        List<DeviceInfo> GetDeviceInfos();

        string GetPort(string collectid);
    }
}